Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Class TimerHandleImpl

    java.lang.Object
      org.jboss.ejb.txtimer.TimerHandleImpl

All Implemented Interfaces:
  Serializable, javax.ejb.TimerHandle

public class TimerHandleImpl
extends Object
implements javax.ejb.TimerHandle

An implementation of the TimerHandle

Since:
  07-Apr-2004
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Field Summary
`static String` | `DATE_PATTERN` The date pattern used by this handle

Method Summary
`boolean` | `equals(Object obj)` Return true if objectId, createDate, periode are equal
`Date` | `getFirstTime()`
`Serializable` | `getInfo()`
`long` | `getPeriode()`
`TimedObjectId` | `getTimedObjectId()`
`javax.ejb.Timer` | `getTimer()` Obtain a reference to the txtimer represented by this handle.
`String` | `getTimerId()`
`int` | `hashCode()` Hash code based on objectId, createDate, periode
`static TimerHandleImpl` | `parse(String externalForm)` Parse the handle from external form.
`String` | `toExternalForm()` Returns the external representation of the handle.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DATE_PATTERN

    public static final String DATE_PATTERN

  The date pattern used by this handle

  See Also:
    Constant Field Values

Method Detail

### parse

    public static TimerHandleImpl parse(String externalForm)

  Parse the handle from external form. "[toid=timedObjectId,first=firstTime,periode=periode]"

### toExternalForm

    public String toExternalForm()

  Returns the external representation of the handle. "[toid=timedObjectId,first=firstTime,periode=periode]"

### getTimerId

    public String getTimerId()

### getTimedObjectId

    public TimedObjectId getTimedObjectId()

### getFirstTime

    public Date getFirstTime()

### getPeriode

    public long getPeriode()

### getInfo

    public Serializable getInfo()

### getTimer

    public javax.ejb.Timer getTimer()
                             throws IllegalStateException,
                                    javax.ejb.NoSuchObjectLocalException,
                                    javax.ejb.EJBException

  Obtain a reference to the txtimer represented by this handle.

  Specified by:
    `getTimer` in interface `javax.ejb.TimerHandle`
  Returns:
    Timer which this handle represents
  Throws:
    `IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `javax.ejb.NoSuchObjectLocalException` - If invoked on a txtimer that has expired or has been cancelled.
    `javax.ejb.EJBException` - If this method could not complete due to a system-level failure.

### equals

    public boolean equals(Object obj)

  Return true if objectId, createDate, periode are equal

### hashCode

    public int hashCode()

  Hash code based on objectId, createDate, periode

### toString

    public String toString()

  Returns a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.